Name:		alterator
Version:	3.0
Release:	alt3

Packager:       Stanislav Ievlev <inger@altlinux.org>

URL: http://wiki.sisyphus.ru/Alterator

Summary:	ALT Linux configurator engine
License:	GPL
Group:		System/Configuration/Other

Source:		%name-%version.tar

#for backward compatibility
Provides: %name-common = %version
Obsoletes: %name-common

#need any look
Requires: %name-browser, guile16

# Automatically added by buildreq on Fri Dec 29 2006
BuildRequires: guile16-devel libexpat-devel

%define guile_version 1.6

%description
ALT Linux configurator engine


%package doc
Summary: documentation and samples for %name
License: GPL
Group: System/Configuration/Other
Provides: %name-browser
Requires: %name = %version-%release

%description doc
documentation and samples for %name


%prep
%setup -q

%build
%make_build GUILE_VERSION=%guile_version

%install
%makeinstall GUILE_VERSION=%guile_version

#create special directories
%__install -d -m755 $RPM_BUILD_ROOT%_cachedir/%name
%__install -d -m755 $RPM_BUILD_ROOT%_localstatedir/%name
%__install -d -m755 $RPM_BUILD_ROOT%_sysconfdir/%name

install -d $RPM_BUILD_ROOT%_sysconfdir/rpm/macros.d
cat >$RPM_BUILD_ROOT%_sysconfdir/rpm/macros.d/%name<<EOF
%%_alterator_libdir %%([ ! -f %_datadir/%name/dialog-functions.scm ])%_prefix/lib/%name

%%_alterator_frontenddir %_alterator_libdir/frontend
%%_alterator_backenddir %_alterator_libdir/backend
%%_alterator_backend2dir %_alterator_libdir/backend2
%%_alterator_backend3dir %_alterator_libdir/backend3

EOF

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%define _altdata_dir %_datadir/alterator
%define _altlib_dir %_prefix/lib/alterator

%files -f %name.lang
%_sysconfdir/rpm/macros.d/*
%_bindir/*
%dir %_altlib_dir
%dir %_altlib_dir/backend
%_altlib_dir/backend2
%dir %_altlib_dir/backend3

%dir %_sysconfdir/%name
%dir %_cachedir/%name
%dir %_localstatedir/%name

%_datadir/%name
%_datadir/guile/%guile_version/alterator
%_libdir/*.so.*
%_libdir/libguile*.so

%files doc
%doc doc/samples doc/internals

%changelog
* Mon May 14 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt3
- improve constraints system message on password mismatch

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt2
- add Ukrainian translation

* Mon Apr 16 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt1
- add /var/lib/alterator

* Thu Mar 22 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt20
- add backend2 to list of the default files
- add support for shell backends

* Wed Mar 21 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt19
- remove debug messages

* Tue Mar 20 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt18
- std-channel bugfix: force output
- std-channel feature: add run-once mode (need for ovz ve configd proxying)

* Mon Mar 19 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt17
- backend auto cleanup

* Wed Mar 07 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt16
- add URL (#10693)

* Mon Mar 05 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt15
- fix 'equal' constraint
- work without /dev/pts

* Tue Feb 27 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt14
- server-socket: ignore sigpipe
- client-socket: don't wrap answer with list

* Mon Feb 19 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt13
- correct constraints logic for absent values
- implement new 'enum' constraint

* Thu Feb 15 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt12
- reload backends on sighup

* Mon Feb 12 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt11
- improve server-socket function (more correct permissions)

* Thu Feb 08 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt10
- improve alterator-cmdline utility (exit code on error)
- new alterator-scm2shell utility (converts s-exp to param:value sequence)
- fix constraints backend answer (use quote to avoid double parsing in the ensign)

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt9
- rename (alterator log) to (alterator logfile) ;;name conflict with standard function

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt8
- new library function: ->bool
- if backend doesn't support constraints ignore it

* Mon Jan 29 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt7
- simplify telegraph
- replace "bridge-book" with more simple "log"

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt6
- add support for constraint "label"

* Wed Jan 10 2007 Stanislav Ievlev <inger@altlinux.org> 2.9-alt5
- remove unused:
  woo-extract-name

* Fri Dec 29 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt4
- remove unused:
  dbus
  xmlrpc
  interface<->module infrastructure
  libb3helper

* Fri Dec 22 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt3
- move atlas,context,alterator-pp out from this code
- pipe.scm: throw just after failed execlp
- remove obsolete woo-read-names function

* Fri Dec 15 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt2
- update documentation

* Tue Dec 12 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt1
- append 'name attribute to each command in woo-list result
- constraints backend fix: remove action parameter from arguments to avoid side effects in next woo calls

* Fri Dec 08 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.29
- add frontenddir macro
- add standard install-interface rule
- remove obsolete model directory
- lookout in separate package now
- remove pam_userpass guile module
- simplify woo-catch code
- constraints is a backend now
- language will be automatically appended by lookout

* Thu Dec 07 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.28
- add spacer, max-width, max-height
- remove obsolete attributes (default,control, backgroundxmap, flat, font, tab-panel ... )

* Thu Dec 07 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.27
- save translation in UTF-8 to minimize installer's basesystem
- improve libguile-gettext

* Wed Dec 06 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.26
- add process-defaults public function

* Tue Dec 05 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.25
- fix args passing

* Fri Dec 01 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.24
- add "compose" library function
- fix ->string function (was problems with symbols with space symbols)
- selector is a guile specific (move from modules (implementation independent code))
- new alterator-cmdline utility

* Thu Nov 30 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.22
- move woo-catch/message to /std/base

* Fri Nov 24 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.21
- move plist to separate library
- add "default" constraint
- move icons to the separate package (alterator-icons)

* Mon Nov 20 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.20
- improve constraints
- add "exclude" constraint
- remove string-starts-with? (string-prefix? exist in srfi-1)
- fix: don't start dead popups

* Fri Nov 17 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.19
- replace "remove 'all" with "rows-clear"

* Fri Nov 17 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.18
- fix error initialization

* Fri Nov 17 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.17
- update to new actions API

* Wed Nov 15 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.16
- constraints improvements
- improve error messages (call-with-input-file/informative, create-process)

* Fri Nov 10 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.15
- minor code improvements
- /std/information, /std/yesno, /std/error and /std/warning are deprecated now
- add cond-plistq to library
- add constraints support
- add woo-catch/message function
- improve apply-actions helper

* Fri Nov 03 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.14
- add support for native message boxes 
- gettext internal: remove declare-lang-selector function
- add menubar support
- add auto-search for all-match operation

* Fri Oct 27 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.13
- remove unused cond-caddr, extract-range
- listbox remove operation doesn't accept range
- added plist-for-each algorithm
- ensign: return (object-path) on empty-answers (was ())
- ensign: use plist instead of alist
- ensign: allow to use list for urls
- ensign: preliminary support for woo in backend2
- ensign: return old algo for '() answers, we should use (quote) for empty answers now
- ensign: backend3 quote object names, backend3 helper don't unquote _objects variables

* Tue Oct 24 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.12
- update documentation
- update ensign backend to latest fbi
- backend3: newline quoting
- new (->string) method (sure-string is a deprecated now)
- fixed po build helper

* Wed Oct 11 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.11
- fix radiolist sample
- improve woo-get-option function (new default value option)
- improve ensign url checkings
- improve woo-try command
- fix backend3 helper (ignore escapes on read)
- replace (alterator command) module with (alterator woo)
- add special backend "ensign" for support backend reloading
- command name is a string now (was a symbol)
- add cond-assoc and cond-assq functions
- replace srfi-8 with srfi-11 (let-values)

* Fri Sep 29 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.10
- fixed checklist sample (id active is a reserved keyword now)
- add atlas auto-search feature
- improve build system according latest auto-search feature
- add position attribute
- optimization: "delete" notification replaced with "clean" and "close" notifications

* Fri Sep 22 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.9
- fix individial widget removal (remove itself from parent widget)
- radiolist: change attributes (for MVC framework)
- remove unused functions (fields<->commands)
- improve < usage ( (< a b c) instead of (and (< a b) (< b c)) )
- added support for non-modal windows
- caption -> title

* Mon Sep 18 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.8
- replace unused void macro and a lot of (if #f #f) with 'unspecified' procedure from the future R6RS
- remove extract-widget ugly hack
- extend widget args parser algo (use numbers to access children), add usage sample
- remove unnecessary frame:buttons-view
- implicit proxy initialization (allow to have proxies with common name like text)
- replace light-let with toplevel-begin (no strange define movings now)

* Tue Sep 12 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.7
- radiolist bugfix (added number? checking)
- turn off debug messages in dbus module
- fixed work with one-letter locales (e.g. C)

* Tue Sep 05 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.6
- extract widgets before id/un-id (allow to use joined widget+controller)
- add list-subwidgets operation
- don't try notify on proxy operations
- update documentation
- removed obsoleted on-* callbacks support
- added slider widget

* Mon Aug 28 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.5
- fixed boolean marshalling in xml-rpc code (typo)
- improved checklist widget (append-row)
- added radiolist
- telegraph: use simple cmdlist instead of pair (cmd cmdlist)
- added cmdline input channel
- layouts must require all necessary channel modules itself

* Fri Aug 25 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.4
- added multi-callbacks support
- default language is english
- fixed work with half-defined proxy attributes (attr count >1)
- added checklist widget

* Wed Aug 23 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.3
- simplified build rules
- improvements in std/functions and samples (bold without <p>)

* Fri Jun 23 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.2
- added XML-RPC support
- added patch from at@ 
- uses theme icons in standard message boxes

* Wed May 31 2006 Stanislav Ievlev <inger@altlinux.org> 2.9-alt0.1
- new generation of lookout
- browser-http in separate package now (browser-qooxdoo)

* Wed May 17 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.10
- merge loading algorithms for backends and documents

* Thu May 11 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.9
- removed admiral
- added multicolumn tree

* Wed May 10 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.8.4
- move to git
- added C helper for backend3
- improved Shell helper for backend3

* Fri May 05 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.8.3
- bugfix

* Thu May 04 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.8.2
- new event subsystem: events are simple attributes now

* Wed May 03 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.8.1
- preliminary version of security component

* Fri Apr 28 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.8
- auto kill childs at main process exit (using SIGHUP trick)

* Thu Apr 27 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.7.1
- little code improvements

* Wed Apr 26 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.7
- move to guile16


* Wed Apr 26 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.6
- move to select-based dbus support

* Tue Apr 25 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.5
- start dbus thread on-demand (was a strange race: main thread freeze)

* Mon Apr 24 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.4
- replace "/dev/null" file port with void port (looks faster)

* Wed Apr 19 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.3
- bugfix

* Wed Apr 19 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.2
- use theme icons in samples

* Wed Apr 19 2006 Stanislav Ievlev <inger@altlinux.org> 2.8-alt0.1
- removed deprecated and unused code
- rewrote some functions
- added separate doc package with profile to view all samples

* Fri Apr 14 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.27
- fixed and improve http interface

* Thu Apr 13 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.26
- allow true local work

* Tue Apr 11 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.25
- items now implemented throw rows

* Mon Apr 10 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.24
- little improvements

* Thu Apr 06 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.22
- update documentation, little code improvements

* Wed Apr 05 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.21
- improve tree widget(tree-text attribute)
- improve multicolumn list widget (rows, append-row can work with single-column widget,
                                   added row-item property)

* Tue Apr 04 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.20
- resurrect checkable groupbox
- added help and help-place

* Fri Mar 31 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.19
- added editable combobox
- added tree widget

* Mon Mar 27 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.18
- ported to new guile string interface
- added two usefull helpers

* Fri Mar 24 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.17
- /std/frame moved out from alterator
- document:link obsoleted by document:insert

* Thu Mar 23 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.16
- finally move to meta-attributes

* Wed Mar 22 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.15
- bugfixes in libguile-dbus
- dialog start/stop improvements

* Tue Mar 21 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.14
- bugfixes in self-list-ref
- added progressbar widget support
- use meta-attributes instead of append-text and append-item

* Mon Mar 20 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.13
- use meta-attributes feature instead of listbox-getter

* Fri Mar 17 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.12
- bugfixes

* Thu Mar 16 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.11
- added missing functions to eval module, little code improvements

* Wed Mar 15 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.10
- smart attributes, root widget and little code improvements

* Tue Mar 14 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.9
- eval sandbox

* Mon Mar 13 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.8
- clean-widget function

* Thu Mar 09 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.7.3
- bugfix

* Tue Mar 07 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.7.2
- fast quoting: step #2

* Tue Mar 07 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.7.1
- listbox optimizations: step #1

* Mon Mar 06 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.7
- rebuild, fixed linkage

* Fri Mar 03 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.6.3
- remove id-holder

* Wed Mar 01 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.6.2
- fixed document:eval , shield-ids with empty ids

* Wed Mar 01 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.6.1
- fixed buildreq

* Tue Feb 28 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.6
- dbus hacked

* Sun Feb 26 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.5
- little code improvements

* Tue Feb 21 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.4
- improve language selection
- libguile-gettext improvements
- fixes in backend3 installations

* Mon Feb 20 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.3.2
- updated to latest qooxdoo

* Thu Feb 16 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.3
- build with guile18

* Tue Feb 14 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.2
- first version of backend3, fixes in generic listbox

* Mon Feb 13 2006 Stanislav Ievlev <inger@altlinux.org> 2.7-alt0.1
- started improvements in backend subsystem

* Fri Feb 10 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.32
- little improvements

* Thu Feb 09 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.31
- makefile improvements

* Wed Feb 08 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.30
- more functions for frame

* Wed Feb 08 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.29
- http fixes: listbox, missing breaks

* Mon Feb 06 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.28
- added more default attributes, fix "reset" on http

* Fri Feb 03 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.27
- adopted to new qooxdoo

* Thu Feb 02 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.26
- improvements

* Wed Feb 01 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.25
- box design improvements, added support for module changing

* Tue Jan 31 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.24
- added helper functions

* Fri Jan 27 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.22.2
- added support for splashes

* Fri Jan 27 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.22.1
- added support for tooltips

* Thu Jan 26 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.22
- add support for second-level holders

* Thu Jan 26 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.21
- improvements in http-browser

* Wed Jan 25 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.20
- minor improvements and bugfixes in std/functions and std/dialogs

* Mon Jan 23 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.19
- remove old hacks

* Mon Jan 23 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.18
- improve frame system

* Fri Jan 20 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.17
- improvements, standalone engine now in separate package

* Wed Jan 18 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.16
- bugfixes

* Mon Jan 16 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.15
- code improvements (new append1 functions), added next-url-of operation

* Fri Jan 13 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.14
- replace threads in sessions with call/cc (hack for evms pthreads)

* Wed Jan 11 2006 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.13
- added support for spacers and radio-buttons
- added hack for accept (global thread lock)

* Tue Dec 27 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.12
- separate module realization from module interface

* Fri Dec 23 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.11
- ported to new qooxdoo

* Thu Dec 22 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.10
- added support for timers

* Tue Dec 20 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.9
- locale support improvements, remove unused sources

* Mon Dec 19 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.8
- frame-button fixes

* Fri Dec 16 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.7
- xml related fixes

* Thu Dec 15 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.6
- minor bugfixes

* Wed Dec 14 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.5
- added jabber transport, minor fixes

* Mon Dec 12 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.4
- added client-socket transport, minor fixes

* Thu Dec 08 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.3
- last fixes for qtlook

* Wed Dec 07 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.2
- ready for qt-browser

* Mon Dec 05 2005 Stanislav Ievlev <inger@altlinux.org> 2.6-alt0.1
- new architecture

* Thu Dec 01 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.7.1
- added pixmap support for button (http look)

* Wed Nov 30 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.7
- added support for children-align property

* Tue Nov 29 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.6.1
- fixes for latest qooxdoo

* Tue Nov 29 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.6
- little code improvements
- move libguile-fcgi to http look subpackage

* Thu Nov 10 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.5
- bugfixes

* Tue Nov 08 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.4
- bugfixes

* Mon Nov 07 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.3
- bugfixes

* Thu Nov 03 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.2
- improvements

* Wed Nov 02 2005 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.1
- initial build of unstable with http driver included

* Mon Sep 19 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.12
- development version from hlook branch: introduce simple object system

* Mon Sep 12 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.11
- development version from hlook branch: introduce new document:* system

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.10
- applied fixes from zerg
- little improvements in alterator-gettext

* Tue Aug 30 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.8
- look qt now in separate package
- move extension libraries to common ('cause extensions also lives in common)

* Tue Aug 30 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.7
- development version from hlook branch: for zerg testing (fixed dbus)

* Tue Aug 30 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.6
- development version from hlook branch: for zerg testing

* Thu Aug 25 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.5
- development version from hlook branch: new build system

* Thu Aug 25 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.4
- development version from hlook branch: test define-syntax

* Fri Aug 19 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.3
- fixed segfault in listbox (use delayed callbacks)
- minor improvements, e.g. use R5RS compatible functions instead of SRFI

* Tue Aug 09 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.2
- wider standalone frame

* Mon Aug 08 2005 Stanislav Ievlev <inger@altlinux.org> 2.0-alt0.1
- bump release
- added support for splash-message

* Fri Aug 05 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt50
- switch to native admiral/rear-admiral from chooser/brook

* Mon Aug 01 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt49
- Belarusian translation

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt48
- other improvements

* Tue Jul 19 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt47
- big improvements

* Mon Jul 18 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt45
- minor fixes

* Thu Jul 14 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt44
- rebuild with new dbus
- some little improvements

* Tue Jul 12 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt42
- another qt tunings
- fixed brook work

* Wed Jul 06 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt41
- fix and improve latest feature
- added alterator-standalone

* Tue Jul 05 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt40.3
- goto now framed, globals now stackable in frames, more modules

* Mon Jul 04 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt40.2
- more modules

* Wed Jun 29 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt40.1
- more modules

* Tue Jun 28 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt40
- some new files converted to modules
- fixed problem with dialog re-fill

* Mon Jun 27 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt39
- begin to use module system
- added groupbox widget

* Fri Jun 24 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt38
- new hacks for design

* Thu Jun 23 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt37
- added support for focus, acc and install3 in separate packages now

* Tue Jun 21 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt36
- tabbox improvements

* Mon Jun 20 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt35
- add feature for acc (on-acc-leave)
- apply patches

* Wed Jun 15 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt34
- added tabs

* Tue Jun 14 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt33
- incompatible look changes

* Thu Jun 09 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt32
- preparations for standalone versions of configurators

* Tue Jun 07 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt31
- little tuning

* Mon Jun 06 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt30
- new improved scheme for steps and acc modules

* Fri Jun 03 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt29
- for developers only: try to switch to new bus

* Thu Jun 02 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt28
- for developers only: support for new bus

* Tue May 31 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt27
- for developers only: lookout fixes and improvements
- added BUS_DEBUG support

* Fri May 27 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt26
- for developers only: lookout fixes and improvements

* Thu May 26 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt25
- for developers only: lookout fixes and improvements

* Wed May 25 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt24
- for developers only: lookout fixes and improvements

* Tue May 24 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt22
- for developers only: lookout related fixes

* Mon May 23 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt21
- for developers only

* Wed May 18 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt20
- little tunings

* Wed May 04 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt19
- new snapshot
  -- improved backend format
  -- libguile-glob now in separate loadable library

* Wed Apr 27 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt18
- new snapshot
- added hidden,text-append properties
- fixed race in barnacle
- move trigger to right place

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt17
- filesystem improvements

* Fri Apr 22 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt16
- first version of control center

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt15
- new map format
- new backend format
- added logger (bordbuch)

* Wed Apr 13 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt14
- bugfixes

* Tue Apr 12 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt13
- current snapshot:
  - added x11 step
  - woo-read-names now with caching by default
  - added on-double-click for listbox, on-click for checkbox

* Mon Apr 04 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt12
- alterator-network,alterator-printers now in separate packages

* Tue Mar 29 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt11
- current snapshot:
  -- turned off building of executor/defusator/admfs
  -- added ensign (replacement of conductor based modules)
  -- added dbus support
- users stuff now in separate package named alterator-users

* Mon Mar 21 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt10
- current snapshot:
  - removed obsoleted commander/rcommander/eval/libeval
  - first version of network config
  - include first version of timezone config
  - minor bugfixes
- local_users backend now in separate package

* Mon Mar 14 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt9
- current snapshot:
  -- first version of printers config
  -- minor bugfixes
- added new subpackage install3.

* Fri Mar 04 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt8
- current snapshot:
  -- admiral and rear-admiral instead of commanders
  -- gettext support
  -- useradd step for wizard
  -- many bugfixes

* Thu Feb 24 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt7
- new subpackages:
   - common (common files and directories)
   - look-qt (graphical frontend)
   - admfs (admfs backend system)
- fixed little bug in post/postun scripts
- latest alterator snapshot with wizard engine

* Wed Feb 09 2005 Alexey Voinov <voins@altlinux.ru> 1.99-alt6
- new snapshot
- scm-look is now default
- defusator is used instead of executor (fuse disabled)

* Wed Feb 02 2005 Stanislav Ievlev <inger@altlinux.org> 1.99-alt5
- improved install3 script

* Tue Jan 25 2005 Alexey Voinov <voins@altlinux.ru> 1.99-alt4
- removed reqs on kernel-modules-fuse
- added modprobe fuse to start of the script

* Tue Jan 25 2005 Alexey Voinov <voins@altlinux.ru> 1.99-alt3
- new snapshot
- not-yet-obsolete docs packaged
- buildreqs fixed

* Thu Jan 20 2005 Alexey Voinov <voins@altlinux.ru> 1.99-alt2
- stage3 added
- root passwd changer added

* Wed Jan 19 2005 Alexey Voinov <voins@altlinux.ru> 1.99-alt1
- new version.
- old changelog (<=1.0.1) removed.
